﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour {

	public GameObject partHit;
	Recorder recorder;
	
	public bool firedByPlayer = false; // Player and not any Unit
	Runner runner;

	// Use this for initialization
	void Start () {
		runner = GameObject.Find("Runner").GetComponent<Runner>();
		recorder = GameObject.Find("Recorder").GetComponent<Recorder>();
		Destroy( gameObject, 2f );
	}
	
	// Update is called once per frame
	void Update () {
	
	}
	
	void OnCollisionEnter(Collision collision) {
		
		// Debug.Log("* Bullet hit: " + collision.collider.name );
		GameObject aPart = Instantiate( partHit, transform.position, Quaternion.identity ) as GameObject;
		Destroy ( aPart, 2f );
		if (collision.collider.CompareTag("Enemy")) {
			if (collision.rigidbody.isKinematic) {
				if (recorder.isRecording && firedByPlayer) {
					runner.PlayBlip();
					recorder.CurrentRecording().statKills++;
				}
				collision.rigidbody.isKinematic = false;
			}
			collision.rigidbody.AddForceAtPosition( transform.forward.normalized * 200f, collision.contacts[0].point );
		}
		Destroy( gameObject );
		
	}
	
}
