﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class RecordingStep {
	
	public Vector3 position;
	public Quaternion rotation;
	public Quaternion rotationGun;
	public float time;
	public bool didFire = false;
	
}

public class Recording {

	public List<RecordingStep> steps;
	public bool isPlaying = false;
	public int statKills = 0;
	public int statShots = 0;
	
	public Recording() {
		steps = new List<RecordingStep>();
	}
	
	public void RecordClear() {
		steps.Clear();
		statKills = 0;
		statShots = 0;
		isPlaying = false;
	}
	
	public void RecordAdd(Vector3 inPos, Quaternion inRot, Quaternion inRotGun, float inTime, bool inFire = false) {
		RecordingStep aStep = new RecordingStep();
		aStep.position = inPos;
		aStep.rotation = inRot;
		aStep.rotationGun = inRotGun;
		aStep.time = inTime;
		aStep.didFire = inFire;
		
		steps.Add(aStep);
	}
	
	public List<RecordingStep> RecordGet() {
		return steps;
	}

}
