﻿using UnityEngine;
using System.Collections;

public class Unit : MonoBehaviour {

	public Transform gun;
	public Transform bulletSpawn;
	
	public Transform prefabBullet;
	
	public Recorder recorder;
	
	float bulletSpeed = 1500f;
	
	public AudioClip soundReady;
	public AudioClip soundShot;
	
	[HideInInspector] public Vector3 originalPos = Vector3.zero;
	[HideInInspector] public Quaternion originalRot;

	// Use this for initialization
	void Start () {
		recorder = GameObject.Find("Recorder").GetComponent<Recorder>();
		audio.PlayOneShot( soundReady );
	}

	// Update is called once per frame
	void FixedUpdate () {
		if (!gameObject.CompareTag("Player")) { return; }
	
		// Only for Player object not all units
		if (recorder.isRecording && Input.GetMouseButtonDown(0)) {
			recorder.RecordCurrent(true);
			recorder.CurrentRecording().statShots++;
			FireBullet();
		}
	
	}
	
	public void FireBullet() {
		Transform aBullet = Instantiate(prefabBullet, bulletSpawn.position, bulletSpawn.rotation) as Transform;
		if (gameObject.CompareTag("Player")) { aBullet.GetComponent<Bullet>().firedByPlayer = true; }
		// Physics.IgnoreCollision( aBullet.collider, gun.collider );
		aBullet.rigidbody.AddForce( bulletSpawn.forward * bulletSpeed);
		audio.pitch = Random.Range(0.8f, 1.2f);
		audio.PlayOneShot( soundShot );
	}

	public void RestorePosition () {
		if (!rigidbody.isKinematic) {
			rigidbody.velocity = Vector3.zero;
			rigidbody.angularVelocity = Vector3.zero;
			rigidbody.isKinematic = true;
		}
		transform.position = originalPos;
		transform.rotation = originalRot;
	}
}
